    import RunesEndpoint from 'kayn/lib/Endpoints/RunesEndpoint.js'

public class | source

# RunesEndpoint

#### Extends:

Endpoint~Endpoint → PlatformSuperclass → RunesEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | by: {"summonerID": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | summonerID(summonerID: number): * Get rune pages for a given summoner ID. |

## Inherited Summary

From class PlatformSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

PlatformSuperclass#constructor

## Public Members

### public by: {"summonerID": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public summonerID(summonerID: number): * source

Get rune pages for a given summoner ID.

Implements /lol/platform/v3/runes/by-summoner/{summonerId}.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The ID of the summoner.

#### Return:

*